Topic
9 replies Latest Post - ‏2012-12-01T18:47:06Z by SystemAdmin
SystemAdmin
SystemAdmin
37422 Posts
ACCEPTED ANSWER

Pinned topic EJB3 Feature Pack Installation problem

‏2012-11-18T17:22:01Z |
Hello,

I've already read this thread (https://www.ibm.com/developerworks/forums/thread.jspa?messageID=14560526&#14560526) but I didn't find a solution to my problem which is pretty similar.

When I run the IBM Installation Manager (1.6.0) I see it wants to update WebSphere AS from version 6.1.0.43 to version 6.1.0.45, but after selecting the upgrade, it says that the IBM WebSphere Application version 6.1 Test Environment which is installed on my computer, doesn't correspond to the package installed by the Installation Manager. The Feature Pack for EJB 3.0 is missing. To continue, it is necessary to install Feature Pack for EJB 3.0 or reinstall the package IBM WebSphere Application Server Version 6.1 Test Environment.

These are the packages and fixes installed on my system (Windows 7 x64):

  • IBM® Rational® Software Architect for WebSphere® Software 7.5.5.5
  • IBM® WebSphere® Application Server V6.1 (32-bit) Test Environment 6.1.0.43

I don't want to reinstall the whole WAS, so I am trying to install the Feature Pack for EJB 3.0 but when I run the installer, I am not able to go ahead because of this error:
It is not possible to install IBM WebSphere AS 6.1 Feature Pack for EJB 3.0 since at least a function package for IBM WAS has been detected at a lower version. This IBM WAS 6.1 Feature Pack for EJB 3.0 installation is at version 6.1.0.13.

And this is the output of versioninfo:

Product list


BASE installed
WEB2FEP installed
WEBSERVICES installed

Product installed


Name IBM WebSphere Application Server
Version 6.1.0.43
ID BASE
Build level cf431207.50
build date 2/18/12

Product installed


Name Web 2.0 Feature Pack
Version 1.0.1.1
ID WEB2FEP
Build level web21044.5
build date 10/27/10

Product installed


Could somebody help me to understand how to solve this problem please?
Updated on 2012-12-01T18:47:06Z at 2012-12-01T18:47:06Z by SystemAdmin
  • bpaskin
    bpaskin
    3831 Posts
    ACCEPTED ANSWER

    Re: EJB3 Feature Pack Installation problem

    ‏2012-11-19T13:33:09Z  in response to SystemAdmin
    Hi, there is an installation application that comes with EJB3 FP. You can try using that to install the FP. You can also check the installation log to see why it did not install the FP.

    Regards,
    Brian
    • SystemAdmin
      SystemAdmin
      37422 Posts
      ACCEPTED ANSWER

      Re: EJB3 Feature Pack Installation problem

      ‏2012-11-19T15:58:23Z  in response to bpaskin
      Hi!

      thank you for replying. I am just using such install application you mentioned.
      I have the install.exe file inside my fep.61.ejb3.windows.ia32\EJB3 directory but I don't find the log file.
      • bpaskin
        bpaskin
        3831 Posts
        ACCEPTED ANSWER

        Re: EJB3 Feature Pack Installation problem

        ‏2012-11-20T16:45:53Z  in response to SystemAdmin
        what error are you receiving?

        Regards,
        Brian
        • SystemAdmin
          SystemAdmin
          37422 Posts
          ACCEPTED ANSWER

          Re: EJB3 Feature Pack Installation problem

          ‏2012-11-20T20:33:00Z  in response to bpaskin
          Hi Brian,

          the error I am receiving is what I wrote in the first post. If you are talking about some log file, please help me to locate it, because I don't find one.

          Thanks
          • SystemAdmin
            SystemAdmin
            37422 Posts
            ACCEPTED ANSWER

            Re: EJB3 Feature Pack Installation problem

            ‏2012-11-23T09:06:56Z  in response to SystemAdmin
            It seems you have webservices feature pack installed. So to install EJB3 feature pack in such case, you must have webservices feature pack upgrade to 6.1.0.43 before hand. Then you can install EJB3 feature pack.
            • SystemAdmin
              SystemAdmin
              37422 Posts
              ACCEPTED ANSWER

              Re: EJB3 Feature Pack Installation problem

              ‏2012-11-23T16:38:56Z  in response to SystemAdmin
              OK, now something seems to be gone ok.

              Here's the new details:

              Products


              EJB3 installed
              BASE installed
              WEB2FEP installed
              WEBSERVICES installed

              Product installed


              Nome WebSphere Application Server Version 6.1 Feature Pack f
              or EJB 3.0
              Version 6.1.0.13
              ID EJB3
              Build level f0747.05
              build date 11/30/07

              Product installed


              Nome IBM WebSphere Application Server
              Version 6.1.0.43
              ID BASE
              Build level cf431207.50
              build date 2/18/12

              Product installed


              Nome Web 2.0 Feature Pack
              Version 1.0.1.1
              ID WEB2FEP
              Build level web21044.5
              build date 10/27/10

              Product installed


              Nome WebServices Feature Pack
              Version 6.1.0.43
              ID WEBSERVICES
              Build level cf431208.02
              build date 2/19/12

              The problem is that I was not able to install the WebSphere Application Server Version 6.1 Feature Pack for EJB 3.0 v. 6.1.0.43 due to the following error:

              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ismp.actions.InstallListOfMaintenances, msg1, Il processo di installazione/disinstallazione corrente è stato eseguito correttamente. Il tipo di processo è: maintenance
              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ismp.actions.InstallListOfMaintenances, msg1, Executing 6.1.0-WS-WASEJB3-WinX32-FP0000043.pak finished.
              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ismp.actions.InstallListOfMaintenances, err, duplicate entry: repository/ejb3fep.jpa.bundle/plugins/com.ibm.ws.ejb3jpa_6.1.0.jar
              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ismp.actions.InstallListOfMaintenances, err, Unable to replace file plugins/com.ibm.ws.ejb3jpa_6.1.0.jar.
              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ismp.actions.InstallListOfMaintenances, err, com.ibm.ws.install.ni.framework.fileactions.NIFFileActionIOException: Non è possibile sostituire il file plugins/com.ibm.ws.ejb3jpa_6.1.0.jar.
              at com.ibm.ws.install.ni.framework.fileactions.ReplaceFileActionPlugin.execute(ReplaceFileActionPlugin.java:108)
              at com.ibm.ws.install.ni.framework.fileactions.FileActionPlugin.executeFileAction(FileActionPlugin.java:54)
              at com.ibm.ws.install.ni.updi.component.was.ComponentFileActions.execute(ComponentFileActions.java:95)
              at com.ibm.ws.install.ni.updi.component.was.ComponentDeployAction.execute(ComponentDeployAction.java:48)
              at com.ibm.ws.install.ni.updi.component.was.UpdateComponent.execute(UpdateComponent.java:93)
              at com.ibm.ws.install.ni.framework.component.ComponentAction.executeComponentActions(ComponentAction.java:215)
              at com.ibm.ws.install.ni.framework.component.ComponentAction.executeBackupComponentActions(ComponentAction.java:52)
              at com.ibm.ws.install.ni.framework.install.NIFPackageApplicationPlugin.backupIfNecessary(NIFPackageApplicationPlugin.java:412)
              at com.ibm.ws.install.ni.framework.install.NIFPackageApplicationPlugin.execute(NIFPackageApplicationPlugin.java:114)
              at com.ibm.ws.install.ni.framework.satellites.DeploySatellitesPlugin.backupSatellites(DeploySatellitesPlugin.java:286)
              at com.ibm.ws.install.ni.framework.satellites.DeploySatellitesPlugin.execute(DeploySatellitesPlugin.java:134)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.executeTheseInstallPackages(InstallNIFMaintenance.java:1043)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.executeThisInstallPackage(InstallNIFMaintenance.java:611)
              at com.ibm.ws.install.ismp.actions.InstallListOfMaintenances.executeThisInstallPackage(InstallListOfMaintenances.java:667)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.executeThisInstallPackage(InstallNIFMaintenance.java:994)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.executeThisInstallPackage(InstallNIFMaintenance.java:489)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.executeThisInstallPackage(InstallNIFMaintenance.java:429)
              at com.ibm.ws.install.ismp.actions.InstallListOfMaintenances.executeInstallPackagePaths(InstallListOfMaintenances.java:542)
              at com.ibm.ws.install.ismp.actions.InstallListOfMaintenances.performExecution(InstallListOfMaintenances.java:389)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.execute(InstallNIFMaintenance.java:74)
              at com.ibm.ws.install.ismp.actions.InstallListOfMaintenances.execute(InstallListOfMaintenances.java:69)
              at com.installshield.wizard.RunnableWizardBeanContext.run(RunnableWizardBeanContext.java:20)

              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ismp.actions.InstallListOfMaintenances, err, duplicate entry: repository/ejb3fep.jpa.bundle/plugins/com.ibm.ws.ejb3jpa_6.1.0.jar
              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ismp.actions.InstallListOfMaintenances, err, Non è possibile sostituire il file plugins/com.ibm.ws.ejb3jpa_6.1.0.jar.
              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ismp.actions.InstallListOfMaintenances, err, com.ibm.ws.install.ni.framework.NIFException: Non è possibile sostituire il file plugins/com.ibm.ws.ejb3jpa_6.1.0.jar.
              at com.ibm.ws.install.ni.framework.install.NIFPackageApplicationPlugin.backupIfNecessary(NIFPackageApplicationPlugin.java:421)
              at com.ibm.ws.install.ni.framework.install.NIFPackageApplicationPlugin.execute(NIFPackageApplicationPlugin.java:114)
              at com.ibm.ws.install.ni.framework.satellites.DeploySatellitesPlugin.backupSatellites(DeploySatellitesPlugin.java:286)
              at com.ibm.ws.install.ni.framework.satellites.DeploySatellitesPlugin.execute(DeploySatellitesPlugin.java:134)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.executeTheseInstallPackages(InstallNIFMaintenance.java:1043)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.executeThisInstallPackage(InstallNIFMaintenance.java:611)
              at com.ibm.ws.install.ismp.actions.InstallListOfMaintenances.executeThisInstallPackage(InstallListOfMaintenances.java:667)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.executeThisInstallPackage(InstallNIFMaintenance.java:994)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.executeThisInstallPackage(InstallNIFMaintenance.java:489)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.executeThisInstallPackage(InstallNIFMaintenance.java:429)
              at com.ibm.ws.install.ismp.actions.InstallListOfMaintenances.executeInstallPackagePaths(InstallListOfMaintenances.java:542)
              at com.ibm.ws.install.ismp.actions.InstallListOfMaintenances.performExecution(InstallListOfMaintenances.java:389)
              at com.ibm.ws.install.ni.ismp.actions.InstallNIFMaintenance.execute(InstallNIFMaintenance.java:74)
              at com.ibm.ws.install.ismp.actions.InstallListOfMaintenances.execute(InstallListOfMaintenances.java:69)
              at com.installshield.wizard.RunnableWizardBeanContext.run(RunnableWizardBeanContext.java:20)
              Caused by: com.ibm.ws.install.ni.framework.fileactions.NIFFileActionIOException: Non è possibile sostituire il file plugins/com.ibm.ws.ejb3jpa_6.1.0.jar.
              at com.ibm.ws.install.ni.framework.fileactions.ReplaceFileActionPlugin.execute(ReplaceFileActionPlugin.java:108)
              at com.ibm.ws.install.ni.framework.fileactions.FileActionPlugin.executeFileAction(FileActionPlugin.java:54)
              at com.ibm.ws.install.ni.updi.component.was.ComponentFileActions.execute(ComponentFileActions.java:95)
              at com.ibm.ws.install.ni.updi.component.was.ComponentDeployAction.execute(ComponentDeployAction.java:48)
              at com.ibm.ws.install.ni.updi.component.was.UpdateComponent.execute(UpdateComponent.java:93)
              at com.ibm.ws.install.ni.framework.component.ComponentAction.executeComponentActions(ComponentAction.java:215)
              at com.ibm.ws.install.ni.framework.component.ComponentAction.executeBackupComponentActions(ComponentAction.java:52)
              at com.ibm.ws.install.ni.framework.install.NIFPackageApplicationPlugin.backupIfNecessary(NIFPackageApplicationPlugin.java:412)
              ... 14 more

              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ni.ismp.actions.SettleNIFRegistryAction, msg1, Il processo di installazione/disinstallazione corrente non è riuscito (install/uninstall proces not succeeded).
              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ni.ismp.actions.SetExitCodeAction, msg1, CWUPI0000I: EXITCODE=1
              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ni.ismp.actions.ISMPLogInstalledPackagesAction, msg1, Esito negativo (negative outcome). Il seguente prodotto non è stato installato (not installed): IBM WebSphere Application Server 6.1 Feature Pack for EJB 3.0
              (23-Nov-2012 17.02.01), Process, com.ibm.ws.install.ni.ismp.actions.ISMPLogSuccessMessageAction, msg1, INSTCONFFAILED

              I don't understand why this happened.
              • SystemAdmin
                SystemAdmin
                37422 Posts
                ACCEPTED ANSWER

                Re: EJB3 Feature Pack Installation problem

                ‏2012-11-25T11:10:02Z  in response to SystemAdmin
                Ok, WebSphere Application Server Version 6.1 Feature Pack for EJB 3.0 v. 6.1.0.43 has been installed after another attempt.
                Now I am trying to perform the upgrade to 6.1.0.45 using the IBM Installation Manager, even if I am having some problem connecting to the IBM repository URL.
                • SystemAdmin
                  SystemAdmin
                  37422 Posts
                  ACCEPTED ANSWER

                  Re: EJB3 Feature Pack Installation problem

                  ‏2012-11-26T01:31:05Z  in response to SystemAdmin
                  WebSphere Application Server v6.1 and it's feature pack, eg: EJB3 and WebServices can not be installed by IBM Installation Manager. You should use Update Installer to install EJB3's Fix pack. Pls reference this http://pic.dhe.ibm.com/infocenter/wasinfo/v6r1/index.jsp?topic=%2Fcom.ibm.websphere.express.doc%2Finfo%2Fexp%2Fae%2Ftins_ptfLevels.html about how to install UPDI(Update Installer) and how to use UPDI to install Fix Pack.
                  • SystemAdmin
                    SystemAdmin
                    37422 Posts
                    ACCEPTED ANSWER

                    Re: EJB3 Feature Pack Installation problem

                    ‏2012-12-01T18:47:06Z  in response to SystemAdmin
                    Perfect. Thank you. I've upgraded to 6.1.0.45 finally.